# ItemName (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class ItemName

- java.lang.Object
- - de.epiceric.shopchest.language.ItemName

    public class ItemName
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ItemName(org.bukkit.Material material, int subID, String localizedName)`
`ItemName(org.bukkit.Material material, String localizedName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLocalizedName()`
`org.bukkit.Material` `getMaterial()`
`int` `getSubID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ItemName

    public ItemName(org.bukkit.Material material,
                    int subID,
                    String localizedName)

#### ItemName

    public ItemName(org.bukkit.Material material,
                    String localizedName)

### Method Detail

#### getMaterial

    public org.bukkit.Material getMaterial()

Returns:
  Material linked to the name

#### getSubID

    public int getSubID()

Returns:
  Sub ID linked to the name

#### getLocalizedName

    public String getLocalizedName()

Returns:
  Name linked to the item